summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Falor2014-05-18 15:25:02 +0200
committer Willy Sudiarto Raharjo2014-05-18 15:25:02 +0200
commit118a5824e405ee4e5a4ce7ed1ecfa180c9e64c72 (patch)
tree305d550d4e965b95c5223780d5c82cadea0a5730
parent1a035d51e978c1648a2d4fb9bc3b70831542f108 (diff)
downloadslackbuilds-118a5824e405ee4e5a4ce7ed1ecfa180c9e64c72.tar.gz
development/complexity: Added (Measure complexity of C source).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/complexity/README11
-rw-r--r--development/complexity/complexity.SlackBuild101
-rw-r--r--development/complexity/complexity.info10
-rw-r--r--development/complexity/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/development/complexity/README b/development/complexity/README
new file mode 100644
index 0000000000..8bc8a7b261
--- /dev/null
+++ b/development/complexity/README
@@ -0,0 +1,11 @@
+Measure complexity of C source
+
+Complexity scans your C source code to help you:
+
+* Locate suspicious areas in unfamiliar code
+* Get an idea of how much effort may be required to understand that code
+* Get an idea of the effort required to test a code base
+* Provide a reminder to yourself. You may see what you've written as
+ obvious, but others may not. It is useful to have a hint about what code may
+ seem harder to understand by others, and then decide if some rework may be in
+ order.
diff --git a/development/complexity/complexity.SlackBuild b/development/complexity/complexity.SlackBuild
new file mode 100644
index 0000000000..2701c9aad9
--- /dev/null
+++ b/development/complexity/complexity.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for Complexity
+
+# Copyright 2014 Erik Falor, West Valley City, UT, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=complexity
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --datarootdir=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog README COPYING INSTALL NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/complexity/complexity.info b/development/complexity/complexity.info
new file mode 100644
index 0000000000..c3b7df8140
--- /dev/null
+++ b/development/complexity/complexity.info
@@ -0,0 +1,10 @@
+PRGNAM="complexity"
+VERSION="1.1"
+HOMEPAGE="https://www.gnu.org/software/complexity/"
+DOWNLOAD="http://ftp.gnu.org/gnu/complexity/complexity-1.1.tar.xz"
+MD5SUM="8c9d56d73b52a8cde1d94f01bdce084b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="autogen"
+MAINTAINER="Erik Falor"
+EMAIL="ewfalor@gmail.com"
diff --git a/development/complexity/slack-desc b/development/complexity/slack-desc
new file mode 100644
index 0000000000..a192a06630
--- /dev/null
+++ b/development/complexity/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+complexity: complexity (Measure complexity of C source)
+complexity:
+complexity: Complexity scans your C source code to help you:
+complexity: Locate suspicious areas in unfamiliar code, get an idea of how much
+complexity: effort may be required to understand that code, or get an idea of the
+complexity: effort required to test a code base.
+complexity:
+complexity:
+complexity:
+complexity:
+complexity: